%define client_bif_dir bif-cvs/helix/client/build/BIF
%define common_bif_dir bif-cvs/helix/common/build/BIF

Name: 		hxclient
Version: 	20090922
Release: 	3.4.moblin2
Summary: 	Helix ClientKit Library

Group: 		System Environment/Libraries
License: 	RPSLv1.0/RCSLv1.2/GPLv2.1
URL:		https://helix-client.helixcommunity.org/
Source0: 	hxclient-%{version}.tar.bz2
Source1: 	ribosome-%{version}.tar.bz2
Source2:        client-bif-%{version}.tar.bz2
Source3:        common-bif-%{version}.tar.bz2
Source4:        buildrc
Source5:        hxclient.pc
Source6:        helix-thumb.pc
Source7:        hxmediasink.pc
Source8:        hxclient.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xv)

%description
The Helix DNA Client is the universal digital media playback engine, 
supporting playback of any format and codec on any device. It provides the 
underlying multimedia functionality to a whole host of applications that 
require local and streaming playback of multiple formats in disparate 
environements.

Requires: %{name} >= %{version}

%prep

# Unpack and patch ribosome build system
%setup -q -D -T -b 1 -n ribosome-%{version}
mkdir -p %{client_bif_dir}
mkdir -p %{common_bif_dir}

# Unpack and add the client bif's into ribosome
%setup -q -D -T -b 2 -n client-bif-%{version}
cp -p *.bif ../ribosome-%{version}/%{client_bif_dir}

# Unpack and add the common bif's into ribosome
%setup -q -D -T -b 3 -n common-bif-%{version}
cp -p *.bif ../ribosome-%{version}/%{common_bif_dir}

# Copy over the buildrc and mediasink bifs
cp -p %{SOURCE4} ../ribosome-%{version}

# Unpack and patch helix code
%setup -q -D -T -b 0

%build

export BUILD_ROOT=$RPM_BUILD_DIR//ribosome-%{version}
export BUILDRC=${BUILD_ROOT}/buildrc
export SYSTEM_ID=linux-2.2-libc6-gcc32-i586
export BUILD=$BUILD_ROOT/bin/build.py

${BUILD} -k -trelease -mhxclient_3_1_0_atlas -Phelix-client-all-defines player_hxclientkit
${BUILD} -k -trelease -mhxclient_3_1_0_atlas -Phelix-client-all-defines mediasinklib
${BUILD} -k -trelease -mhxclient_3_1_0_atlas -Phelix-client-all-defines dtdr_thumb-generator

%install
rm -fR %{buildroot}

mkdir -p %{buildroot}%{_libdir}/hxclient
cp -a release/libhxclient.a %{buildroot}%{_libdir}/hxclient
cp -a release/libhxmediasink.so %{buildroot}%{_libdir}/hxclient
cp -a release/libhxthumb.so %{buildroot}%{_libdir}/hxclient

mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -p %{SOURCE5} %{buildroot}%{_libdir}/pkgconfig/
cp -p %{SOURCE6} %{buildroot}%{_libdir}/pkgconfig/
cp -p %{SOURCE7} %{buildroot}%{_libdir}/pkgconfig/

mkdir -p %{buildroot}%{_includedir}/hxclient
cp player/hxclientkit/pub/HXClient*.h %{buildroot}%{_includedir}/hxclient/
cp player/thumbnail/pub/hxthumb.h %{buildroot}%{_includedir}/hxclient/
cp player/kit/mediasinklib/pub/player.h %{buildroot}%{_includedir}/hxclient/

mkdir -p %{buildroot}/etc/ld.so.conf.d/
cp %{SOURCE8} %{buildroot}/etc/ld.so.conf.d/

%clean
rm -fR %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%{_libdir}/hxclient
%{_libdir}/pkgconfig/*.pc
%{_includedir}/hxclient
/etc/ld.so.conf.d/hxclient.conf
%changelog
* Fri Oct 16 2009 Damien Lespiau <damien.lespiau@intel.com> 20090922
- Fix order of libs in hxclient.pc
* Tue Sep 29 2009 Vincent Huang <chenglan.huang@intel.com> 20090922
- Linked from home:rusty and fix mkdir bug
* Thu Aug  6 2009 Rusty Lynch <rusty.lynch@intel.com> 20090806
- Update the hxclient.pc file
* Wed Aug  5 2009 Rusty Lynch <rusty.lynch@intel.com> 20090805
- Initial packaging
